Puppy princess Musha [DS+DST] DST+DS(2018-11-27)


30 Screenshots

About This File


What's New in Version [DS-S 8.8] [DST-T 5.3]   See changelog

  • Like 20
  • Thanks 3



User Feedback



Recommended Comments

SA version is stand alone game. 

SA is for old game version. (not updated user)

ok,I know,haha

Share this comment


Link to comment
Share on other sites

If you are having the problem where when you enable the mod it won’t remain enabled, it auto-disables and says something like “Mod crashed on last start up, automatically disabled” here is how you fix it. All you have to do is make sure the API_Versions match. I have the update just before the reign of giant’s beta so my Don’t Starve API_Version is 4 (You can check this by going into your Don’t Starve folder, then into your data folder, then into your scripts folder and open the “mods.lua” file with a simple word pad. Look for the line that says “api_version = (Insert whatever number your version is here)” this is your api_version.) and the puppy princess mod is currently set to api_Version 5 as of 5.06. Go into the musha folder and open the “modinfo.lua” with a WordPad and change the line thats says "api_Version = 5" to "api_version = 4" and save the change. This will make the the games Api_version match the mods api_Version. This will fix the problem of the mod not remaining enabled. If your game crashes make sure that the “small textures” option is disabled.

I’m putting this information here because I can’t find it anywhere else and it took me 10+ hours to figure all this out.

Now with all that said I’m still having a problem (That may or may not be related to changing the api_version). The character icon for Musha shows up as a black box and when I start a world with her selected, after the world is done loading, the game will just close. Is anyone else having this problem, or is it just me? anyone know how to fix it?

 

my wordpad can't open that file

Share this comment


Link to comment
Share on other sites

If you are having the problem where when you enable the mod it won’t remain enabled, it auto-disables and says something like “Mod crashed on last start up, automatically disabled” here is how you fix it. All you have to do is make sure the API_Versions match. I have the update just before the reign of giant’s beta so my Don’t Starve API_Version is 4 (You can check this by going into your Don’t Starve folder, then into your data folder, then into your scripts folder and open the “mods.lua” file with a simple word pad. Look for the line that says “api_version = (Insert whatever number your version is here)” this is your api_version.) and the puppy princess mod is currently set to api_Version 5 as of 5.06. Go into the musha folder and open the “modinfo.lua” with a WordPad and change the line thats says "api_Version = 5" to "api_version = 4" and save the change. This will make the the games Api_version match the mods api_Version. This will fix the problem of the mod not remaining enabled. If your game crashes make sure that the “small textures” option is disabled.

I’m putting this information here because I can’t find it anywhere else and it took me 10+ hours to figure all this out.

Now with all that said I’m still having a problem (That may or may not be related to changing the api_version). The character icon for Musha shows up as a black box and when I start a world with her selected, after the world is done loading, the game will just close. Is anyone else having this problem, or is it just me? anyone know how to fix it?

 

thanks now I can play the mod :)

Share this comment


Link to comment
Share on other sites

my wordpad can't open that file

For future reference, don’t just say “this doesn’t work” provide information on what the problem is. Are you receiving an error message? When you try to open the file does it just not open? With the information that you have provided, all I can say is that your WordPad hates you.

I’m going to assume your getting a message that says something like “This program cannot open this file type.” If this is the error your receiving then I don’t know what the problem is, it is abnormal for you to not be able to open any of the previously described files with WordPad. You could try other word processing programs, or try and find a program that specifically opens .lua files.

 

Share this comment


Link to comment
Share on other sites

For future reference, don’t just say “this doesn’t work” provide information on what the problem is. Are you receiving an error message? When you try to open the file does it just not open? With the information that you have provided, all I can say is that your WordPad hates you.

I’m going to assume your getting a message that says something like “This program cannot open this file type.” If this is the error your receiving then I don’t know what the problem is, it is abnormal for you to not be able to open any of the previously described files with WordPad. You could try other word processing programs, or try and find a program that specifically opens .lua files.

 

I not open correctly,but now is all ok

Share this comment


Link to comment
Share on other sites

can i ask how to make the egg hatch?

equip it or just put it on inventory?

put close to fire but no so close and not so away. Like a tallbird egg

Share this comment


Link to comment
Share on other sites

Create an account or sign in to comment

You need to be a member in order to leave a comment

Create an account

Sign up for a new account in our community. It's easy!

Register a new account

Sign in

Already have an account? Sign in here.

Sign In Now